## soci 3.2.3

=== CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2009-2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
# General settings
###############################################################################
cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

project(SOCI)

###############################################################################
# SOCI CMake modules
###############################################################################

# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${SOCI_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_MODULE_PATH ${SOCI_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(SociUtilities)

colormsg(_HIBLUE_ "Configuring SOCI:")

###############################################################################
# SOCI version information
###############################################################################
include(SociVersion)

soci_version(MAJOR 3 MINOR 2 PATCH 3)

###############################################################################
# Build features and variants
###############################################################################
include(SociSystemInfo)
include(SociConfig)

boost_report_value(SOCI_PLATFORM_NAME)
boost_report_value(SOCI_COMPILER_NAME)

option(SOCI_SHARED "Enable build of shared libraries" ON)
boost_report_value(SOCI_SHARED)

option(SOCI_STATIC "Enable build of static libraries" ON)
boost_report_value(SOCI_STATIC)

option(SOCI_TESTS "Enable build of collection of SOCI tests" ON)
boost_report_value(SOCI_TESTS)

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

###############################################################################
# Find SOCI dependencies
###############################################################################

set(SOCI_CORE_DEPENDENCIES)

include(SociDependencies)

#message("${SOCI_CORE_DEPENDENCIES}")

###############################################################################
# Installation
###############################################################################

if(APPLE OR CMAKE_SIZEOF_VOID_P EQUAL 4)
  set(SOCI_LIBDIR "lib")
else()
  set(SOCI_LIBDIR "lib64")
endif()

set(BINDIR "bin" CACHE PATH "The directory to install binaries into.")
set(LIBDIR ${SOCI_LIBDIR} CACHE PATH "The directory to install libraries into.")
set(DATADIR "share" CACHE PATH "The directory to install data files into.")
set(INCLUDEDIR "include" CACHE PATH "The directory to install includes into.")

###############################################################################
# Enable tests
###############################################################################
enable_testing()
# Configure for testing with dashboard submissions to CDash
#include(CTest) # disabled as unused

# Define "make check" as alias for "make test"
add_custom_target(check COMMAND ctest)

###############################################################################
# Build configured components
###############################################################################
include(SociBackend)

include_directories(${SOCI_SOURCE_DIR}/core)

add_subdirectory(core)
add_subdirectory(backends)

=== backends/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
colormsg(_HIBLUE_ "Configuring SOCI database backends:")

# First, we'll investigate what can be found from database engines
foreach(dep ${SOCI_BACKENDS_DB_DEPENDENCIES})
	string(TOUPPER ${dep} depUP)
	if (WITH_${depUP})
		find_package(${dep})
	endif()
	if(${dep}_FOUND OR ${depUP}_FOUND)
		set(${depUP}_FOUND ON)
	else()
		set(${depUP}_FOUND OFF)
	endif()
endforeach()

# get all files in backends
file(GLOB backend_dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)

# empty backend always on by default
option(SOCI_EMPTY "Build empty backend" ON)
if(SOCI_EMPTY)
	set(WITH_EMPTY ON)
	set(EMPTY_FOUND ON)
endif()

# enable only found backends
foreach(dir ${backend_dirs})
	if(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${dir})
		if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}/CMakeLists.txt)
			string(TOUPPER ${dir} dirUP)
			if(${dirUP}_FOUND AND WITH_${dirUP})
				add_subdirectory(${dir})
			endif()
		endif()
	endif()
endforeach()

message(STATUS "")

=== core/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2009-2010 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

colormsg(_HIBLUE_ "Configuring SOCI core library:")

# Core dependencies
set(SOCI_CORE_DEPENDENCIES)

include(FindThreads)

if(Threads_FOUND OR CMAKE_USE_WIN32_THREADS_INIT OR CMAKE_THREAD_LIBS_INIT)
  list(APPEND SOCI_CORE_DEPENDENCIES ${CMAKE_THREAD_LIBS_INIT})
else()
  message(FATAL_ERROR "No thread library found")
endif()

if(NOT MSVC)
  set(DL_FIND_QUIETLY TRUE)
  find_package(DL)
  if(DL_FOUND)
    list(APPEND SOCI_CORE_DEPENDENCIES ${DL_LIBRARY})
    set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES ${DL_INCLUDE_DIR})
    add_definitions(-DHAVE_DL=1)
  endif()
endif()

if(Boost_FOUND)

  get_property(SOCI_COMPILE_DEFINITIONS
    DIRECTORY ${CMAKE_SOURCE_DIR}
    PROPERTY COMPILE_DEFINITIONS)

  list(APPEND SOCI_COMPILE_DEFINITIONS "HAVE_BOOST=1")

  if(Boost_DATE_TIME_FOUND)
    list(APPEND SOCI_CORE_DEPENDENCIES ${Boost_DATE_TIME_LIBRARY})
    list(APPEND SOCI_COMPILE_DEFINITIONS "HAVE_BOOST_DATE_TIME=1")
  endif()

  set_property(DIRECTORY ${CMAKE_SOURCE_DIR}
    PROPERTY COMPILE_DEFINITIONS ${SOCI_COMPILE_DEFINITIONS})

  set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES ${Boost_INCLUDE_DIRS})

  set_property(DIRECTORY ${CMAKE_SOURCE_DIR}
    PROPERTY INCLUDE_DIRECTORIES ${Boost_INCLUDE_DIRS})

endif()

# Core source files
file(GLOB SOCI_CORE_HEADERS *.h)
file(GLOB SOCI_CORE_SOURCES *.cpp)

# Group source files for IDE source explorers (e.g. Visual Studio)
source_group("Header Files" FILES ${SOCI_CORE_HEADERS})
source_group("Source Files" FILES ${SOCI_CORE_SOURCES})
source_group("CMake Files" FILES CMakeLists.txt)

# Core targets configuration
string(TOLOWER "${PROJECT_NAME}" PROJECTNAMEL)
set(SOCI_CORE_TARGET ${PROJECTNAMEL}_core)

soci_target_output_name(${SOCI_CORE_TARGET} SOCI_CORE_TARGET_OUTPUT_NAME)

# Configure SOCI backend loader to also use default install directory.
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES ${CMAKE_CURRENT_BINARY_DIR})
set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY INCLUDE_DIRECTORIES ${CMAKE_CURRENT_BINARY_DIR})
configure_file(soci_backends_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/soci_backends_config.h)

#
# Core shared library
#
if (SOCI_SHARED)
  add_library(${SOCI_CORE_TARGET} SHARED ${SOCI_CORE_HEADERS} ${SOCI_CORE_SOURCES})

  target_link_libraries(${SOCI_CORE_TARGET} ${SOCI_CORE_DEPENDENCIES})

  if(WIN32)
    set_target_properties(${SOCI_CORE_TARGET}
      PROPERTIES
      DEFINE_SYMBOL SOCI_DLL
      OUTPUT_NAME "${SOCI_CORE_TARGET_OUTPUT_NAME}"
      VERSION ${SOCI_VERSION}
      CLEAN_DIRECT_OUTPUT 1)
  else()
    set_target_properties(${SOCI_CORE_TARGET}
      PROPERTIES
      VERSION ${SOCI_VERSION}
      SOVERSION ${SOCI_SOVERSION}
      INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib
      CLEAN_DIRECT_OUTPUT 1)
  endif()
endif()

add_definitions(-DSOCI_LIB_PREFIX="${CMAKE_SHARED_LIBRARY_PREFIX}soci_"
                -DSOCI_LIB_SUFFIX="${CMAKE_SHARED_LIBRARY_SUFFIX}")

#
# Core static library
#
if (SOCI_STATIC)
  set(SOCI_CORE_TARGET_STATIC ${SOCI_CORE_TARGET}_static)

  add_library(${SOCI_CORE_TARGET_STATIC} STATIC ${SOCI_CORE_HEADERS} ${SOCI_CORE_SOURCES})

  set_target_properties(${SOCI_CORE_TARGET_STATIC}
    PROPERTIES
    OUTPUT_NAME ${SOCI_CORE_TARGET_OUTPUT_NAME}
    PREFIX "lib"
    CLEAN_DIRECT_OUTPUT 1)
endif()

#
# Core installation
#
install(FILES ${SOCI_CORE_HEADERS} DESTINATION ${INCLUDEDIR}/${PROJECTNAMEL})

if (SOCI_SHARED)
  install(TARGETS ${SOCI_CORE_TARGET}
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})
endif()

if (SOCI_STATIC)
  install(TARGETS ${SOCI_CORE_TARGET_STATIC}
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})
endif()

#
# Core configuration summary
#
boost_report_value(SOCI_CORE_TARGET)
boost_report_value(SOCI_CORE_TARGET_OUTPUT_NAME)
boost_report_value(SOCI_CORE_DEPENDENCIES)
boost_report_value(WITH_BOOST)
soci_report_directory_property(COMPILE_DEFINITIONS)

# Export core target name to make it visible by backends
set(SOCI_CORE_TARGET ${SOCI_CORE_TARGET} PARENT_SCOPE)
if (SOCI_STATIC)
  set(SOCI_CORE_TARGET_STATIC ${SOCI_CORE_TARGET_STATIC} PARENT_SCOPE)
endif()
set(SOCI_CORE_STATIC_DEPENDENCIES ${SOCI_CORE_DEPENDENCIES} PARENT_SCOPE)

=== backends/db2/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2011 Denis Chapligin
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(DB2
  DEPENDS DB2
  HEADERS soci-db2.h
  DESCRIPTION "SOCI backend for DB2 Universal Database"
  AUTHORS "Denis Chapligin"
  MAINTAINERS "Denis Chapligin")

add_subdirectory(test)

=== backends/empty/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(Empty
  HEADERS soci-empty.h
  DESCRIPTION "SOCI backend skeleton for development of new backends"
  AUTHORS "Maciej Sobczak, Stephen Hutton"
  MAINTAINERS "Maciej Sobczak")

add_subdirectory(test)

=== backends/mysql/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(MySQL
  DEPENDS MySQL
  HEADERS soci-mysql.h common.h
  DESCRIPTION "SOCI backend for MySQL database engine"
  AUTHORS "Pawel Aleksander Fedorynski"
  MAINTAINERS "Pawel Aleksander Fedorynski")

add_subdirectory(test)

=== backends/odbc/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(ODBC
  DEPENDS ODBC
  HEADERS soci-odbc.h utility.h
  DESCRIPTION "SOCI backend for ODBC"
  AUTHORS "Maciej Sobczak, Stephen Hutton, David Courtney"
  MAINTAINERS "Vadim Zeitlin, Mateusz Loskot, Maciej Sobczak")

add_subdirectory(test)

=== backends/oracle/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(Oracle
  DEPENDS Oracle
  HEADERS soci-oracle.h error.h
  DESCRIPTION "SOCI backend for Oracle 10+"
  AUTHORS "Maciej Sobczak, Stephen Hutton"
  MAINTAINERS "Maciej Sobczak")

add_subdirectory(test)

=== backends/postgresql/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

include(CMakeDependentOption)

option(SOCI_POSTGRESQL_NOPARAMS
  "Do not use input parameters. PostgreSQL 7.x portability."
  OFF)

option(SOCI_POSTGRESQL_NOBINDBYNAME
  "Disable query rewriting to native form. PostgreSQL 7.0 portability."
  OFF)

cmake_dependent_option(SOCI_POSTGRESQL_NOPREPARE
  "Disable prepared statements. Set ON if SOCI_POSTGRESQL_NOBINDBYNAME is ON. PostgreSQL 7.0 portability." ON
  SOCI_POSTGRESQL_NOBINDBYNAME OFF)

if(SOCI_POSTGRESQL_NOPARAMS)
  add_definitions(-DSOCI_POSTGRESQL_NOPARAMS=1)
endif()

if(SOCI_POSTGRESQL_NOBINDBYNAME)
message("X")
  add_definitions(-DSOCI_POSTGRESQL_NOBINDBYNAME=1)
endif()

if(SOCI_POSTGRESQL_NOPREPARE)
message("Y")
  add_definitions(-DSOCI_POSTGRESQL_NOPREPARE=1)
endif()

soci_backend(PostgreSQL
  DEPENDS PostgreSQL
  HEADERS soci-postgresql.h common.h
  DESCRIPTION "SOCI backend for PostgreSQL database engine"
  AUTHORS "Maciej Sobczak, Stephen Hutton"
  MAINTAINERS "Mateusz Loskot")

boost_report_value(SOCI_POSTGRESQL_NOPARAMS)
boost_report_value(SOCI_POSTGRESQL_NOBINDBYNAME)
boost_report_value(SOCI_POSTGRESQL_NOPREPARE)

add_subdirectory(test)

=== backends/sqlite3/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

soci_backend(SQLite3
  DEPENDS SQLite3
  HEADERS soci-sqlite3.h common.h
  DESCRIPTION "SOCI backend for SQLite 3 database engine"
  AUTHORS "Maciej Sobczak, Stephen Hutton, David Courtney"
  MAINTAINERS "Maciej Sobczak, Mateusz Loskot")

add_subdirectory(test)

=== backends/db2/test/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2011 Denis Chapligin
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend_test(
  BACKEND DB2
  SOURCE test-db2.cpp
  CONNSTR "DSN=SAMPLE;Uid=db2inst1;Pwd=db2inst1;autocommit=off")

=== backends/empty/test/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend_test(
  BACKEND Empty
  SOURCE test-empty.cpp
  CONNSTR "dummy")

=== debian/changelog ===
soci (3.2.3-2) unstable; urgency=medium

  * Change libmysqlclient-dev to default-libmysqlclient-dev in build-depends
    (Closes: #845909)
  * Remove unneeded dh_clean override
  * Switch to automatic dbgsym package for symbols
  * Update standards version to 3.9.8 (no changes needed)
  * Update copyright
  * Update dh compatibility to 10
  * Linitan overrides for spelling error false positives
  * Force bindnow hardening flag since it's not getting applied automatically

 -- William Blough <devel@blough.us>  Tue, 08 Nov 2016 13:54:34 -0500

soci (3.2.3-1) unstable; urgency=medium

  [Tobias Frost]
  * Reintroducing package, repackaged from scratch (Closes: #752696)
  * Renaming binary packages to drop gcc suffix and add SONAME to
    library packages
  * New packages for firebird and odbc backends
  * New patch to support multiarch: 01-cmake_set_soci_libdir.patch

  [William Blough]
  * New upstream release.
  * Update standards version to 3.9.6 (no changes needed)

 -- William Blough <devel@blough.us>  Thu, 04 Jun 2015 11:55:32 -0400

soci (3.0.0+cvs20081223-4) unstable; urgency=low

  * QA upload.
  * gcc_ftbfs.patch - Include missing headers. (Closes: #549640).
    + Thanks to Nobuhiro Iwamatsu for the patch!
  * Add README.source for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Oct 2009 11:21:18 -0400

soci (3.0.0+cvs20081223-3) unstable; urgency=low

  [ Marco Rodrigues ]
  * QA upload.
  * Fix FTBFS because of GCC 4.4 (Closes: #525719).

  [ Christoph Berg ]
  * Set -dbg package Section to debug.

 -- Christoph Berg <myon@debian.org>  Sun, 21 Jun 2009 13:05:28 +0200

soci (3.0.0+cvs20081223-2) unstable; urgency=low

  * QA upload.
  * Changing maintainer to QA group
  * Update Standards Version (no changes)
  * Migrate to dh_prep instead of dh_clean -k

 -- Neil Williams <codehelp@debian.org>  Fri, 03 Apr 2009 11:04:01 +0100

soci (3.0.0+cvs20081223-1) experimental; urgency=low

  * New CVS snapshot. Closes: #509453.
  * debian/control:
    - New maintainer.
    - Update Standards-Version to 3.8.0. (No changes).
    - Update compat version to 7 and upgrade debhelper Build-Depends.
    - Update Vcs-* fields.
  * debian/rules:
    - Migrate away from cdbs.
  * debian/patches:
    - Migrate to quilt.
    - sqlite-namespace.patch - Removed (Gone upstream).
    - sqlite-common-ctime.patch - Removed (Gone upstream).
    - postgressql-standard-use-type.patch - Removed (No longer needed).
    - postgressql-common-ctime.patch - Removed (Gone upstream).
    - mysql-common-ctime.patch - Removed (Gone upstream).
    - missing-headers.patch - Removed (No longer needed).
    - link-against-dl.patch - Refreshed.
    - fix-gcc4.3-build.patch - Fix build with gcc 4.3.
    - fix-gcc4.4-build.patch - Fix build with gcc 4.4. (Patch from Martin
      Michlmayr <tbm@cyrius.com>) Closes: #504907

 -- Bradley Smith <bradsmith@debian.org>  Tue, 23 Dec 2008 11:13:58 +0000

soci (2.2.0-4) unstable; urgency=low

  * Fix soci FTBFS on mips (Closes: #481499)
  Thanks to Thiemo Seufer for the patch.

 -- Neil Williams <codehelp@debian.org>  Sat, 17 May 2008 08:23:41 +0100

soci (2.2.0-3) unstable; urgency=low

  * FTBFS: auto_ptr with no type (Closes: #478504)
    Add more missing C++ headers to soci.h and std::tm
    definition (<ctime>) to each backend common.h.

 -- Neil Williams <codehelp@debian.org>  Tue, 06 May 2008 22:00:19 +0100

soci (2.2.0-2) unstable; urgency=low

  * soci - FTBFS: error: 'bad_cast' is not a member of 'std'
    (incomplete fix, bug reopened).

 -- Neil Williams <codehelp@debian.org>  Mon, 05 May 2008 00:18:09 +0100

soci (2.2.0-1) unstable; urgency=low

  * Initial release soci -- C++ Database Access Library (Closes: #476793)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Apr 2008 11:31:19 +0100

=== debian/control ===
Source: soci
Section: libs
Priority: optional
Maintainer: William Blough <devel@blough.us>
Build-Depends: cmake,
               debhelper (>= 10),
               default-libmysqlclient-dev,
               firebird-dev,
               libboost-date-time-dev,
               libboost-dev,
               libpq-dev,
               libsqlite3-dev,
               unixodbc-dev
Standards-Version: 3.9.8
Homepage: http://soci.sourceforge.net/
VCS-Browser: https://bitbucket.org/bblough/soci/src
VCS-Git: https://bitbucket.org/bblough/soci.git

Package: libsoci-core3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the shared library.

Package: libsoci-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsoci-core3.2 (= ${binary:Version}),
         libsoci-firebird3.2 (= ${binary:Version}),
         libsoci-mysql3.2 (= ${binary:Version}),
         libsoci-odbc3.2 (= ${binary:Version}),
         libsoci-postgresql3.2 (= ${binary:Version}),
         libsoci-sqlite3-3.2 (= ${binary:Version}),
         ${misc:Depends}
Description: C++ Database Access Library (devel)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the development headers.

Package: libsoci-mysql3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (MySQL backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the MySQL backend.

Package: libsoci-sqlite3-3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (SQLite3 backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the SQLite3 backend.

Package: libsoci-postgresql3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (PostgreSQL backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the PostgreSQL backend.

Package: libsoci-firebird3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (Firebird backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code,  staying entirely
 within Standard C++.
 .
 This package provides the Firebird backend.

Package: libsoci-odbc3.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Database Access Library (ODBC backend)
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code,  staying entirely
 within Standard C++.
 .
 This package provides the ODBC backend.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,-z,now

%:
	dh $@

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DSOCI_EMPTY:BOOLEAN=OFF

override_dh_auto_test:
	# Run test, but for now, ignore results. (to be fixed later...)
	-dh_auto_test

override_dh_strip:
	dh_strip --dbgsym-migration='libsoci-core3.2-dbg (<< 3.2.3-2)'

=== debian/watch ===
version=3
http://sf.net/soci/soci-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## soci 4.0.1

=== CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2009-2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
# General settings
###############################################################################
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

project(SOCI)

###############################################################################
# Build features and variants
##############################################################################

option(SOCI_SHARED "Enable build of shared libraries" ON)
option(SOCI_STATIC "Enable build of static libraries" ON)
option(SOCI_TESTS "Enable build of collection of SOCI tests" ON)
option(SOCI_ASAN "Enable address sanitizer on GCC v4.8+/Clang v 3.1+" OFF)


###############################################################################
# SOCI CMake modules
###############################################################################

# Path to additional CMake modules
set(CMAKE_MODULE_PATH ${SOCI_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_MODULE_PATH ${SOCI_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(SociUtilities)
include(SociConfig)

colormsg(_HIBLUE_ "Configuring SOCI:")

###############################################################################
# SOCI version information
###############################################################################
include(SociVersion)

soci_version()

###############################################################################
# Build features and variants
##############################################################################

boost_report_value(SOCI_SHARED)
boost_report_value(SOCI_STATIC)
boost_report_value(SOCI_TESTS)
boost_report_value(SOCI_ASAN)

# from SociConfig.cmake
boost_report_value(SOCI_CXX11)
boost_report_value(LIB_SUFFIX)

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

###############################################################################
# Find SOCI dependencies
###############################################################################

set(SOCI_CORE_TARGET)
set(SOCI_CORE_TARGET_STATIC)
set(SOCI_CORE_DEPS_LIBS)

include(SociDependencies)

get_property(SOCI_INCLUDE_DIRS DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  PROPERTY INCLUDE_DIRECTORIES)

if(Threads_FOUND)
  list(APPEND SOCI_CORE_DEPS_LIBS ${CMAKE_THREAD_LIBS_INIT})
else()
  message(FATAL_ERROR "No thread library found")
endif()

if(NOT MSVC)
  set(DL_FIND_QUIETLY TRUE)
  find_package(DL)
  if(DL_FOUND)
    list(APPEND SOCI_CORE_DEPS_LIBS ${DL_LIBRARY})
    set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES ${DL_INCLUDE_DIR})
    add_definitions(-DHAVE_DL=1)
  endif()
endif()

if(Boost_FOUND)
  get_property(SOCI_COMPILE_DEFINITIONS
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    PROPERTY COMPILE_DEFINITIONS)

  set(SOCI_HAVE_BOOST ON)

  list(APPEND SOCI_COMPILE_DEFINITIONS "BOOST_ALL_NO_LIB")

  if(Boost_DATE_TIME_FOUND)
    list(APPEND SOCI_CORE_DEPS_LIBS ${Boost_DATE_TIME_LIBRARY})
    set(SOCI_HAVE_BOOST_DATE_TIME ON)
  endif()

  list(APPEND SOCI_INCLUDE_DIRS ${Boost_INCLUDE_DIRS})
  list(APPEND SOCI_CORE_INCLUDE_DIRS ${Boost_INCLUDE_DIRS})

  set_directory_properties(PROPERTY COMPILE_DEFINITIONS "${SOCI_COMPILE_DEFINITIONS}")

  set_property(DIRECTORY ${SOCI_SOURCE_DIR}
    PROPERTY COMPILE_DEFINITIONS "${SOCI_COMPILE_DEFINITIONS}")
else()
  set(SOCI_HAVE_BOOST OFF)
  set(SOCI_HAVE_BOOST_DATE_TIME OFF)
endif()

set(SOCI_HAVE_BOOST ${SOCI_HAVE_BOOST} CACHE INTERNAL "Boost library")
set(SOCI_HAVE_BOOST_DATE_TIME ${SOCI_HAVE_BOOST_DATE_TIME} CACHE INTERNAL "Boost date_time library")

list(APPEND SOCI_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR})

set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  PROPERTY
  INCLUDE_DIRECTORIES ${SOCI_INCLUDE_DIRS})

###############################################################################
# Installation
###############################################################################

if(NOT DEFINED SOCI_LIBDIR)
  if(APPLE OR CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(SOCI_LIBDIR "lib")
  else()
    set(SOCI_LIBDIR "lib64")
  endif()
endif()

set(BINDIR "bin" CACHE PATH "The directory to install binaries into.")
set(LIBDIR ${SOCI_LIBDIR} CACHE PATH "The directory to install libraries into.")
set(DATADIR "share" CACHE PATH "The directory to install data files into.")
set(INCLUDEDIR "include" CACHE PATH "The directory to install includes into.")

###############################################################################
# Configuration files
###############################################################################
set(CONFIG_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include)
install(DIRECTORY ${CONFIG_INCLUDE_DIR}/soci DESTINATION ${INCLUDEDIR})
set(CONFIG_FILE_IN "include/soci/soci-config.h.in")
set(CONFIG_FILE_OUT "${CONFIG_INCLUDE_DIR}/soci/soci-config.h")



###############################################################################
# Build configured components
###############################################################################
include(SociBackend)

include_directories(${SOCI_SOURCE_DIR}/include ${CONFIG_INCLUDE_DIR})
add_subdirectory(src)

if(SOCI_TESTS)
  ###############################################################################
  # Enable tests
  ###############################################################################
  enable_testing()

  file(TO_NATIVE_PATH ${PROJECT_SOURCE_DIR} TEST_ACCESS_PATH)
  configure_file(${PROJECT_SOURCE_DIR}/cmake/configs/test-access.cmake ${PROJECT_SOURCE_DIR}/tests/odbc/test-access.dsn @ONLY)

  set(MYSQL_DRIVER_NAME "MySQL")
  if(WIN32)
    set(MYSQL_DRIVER_NAME "MySQL ODBC 5.3 ANSI Driver")
  endif()
  configure_file(${PROJECT_SOURCE_DIR}/cmake/configs/test-mysql.cmake ${PROJECT_SOURCE_DIR}/tests/odbc/test-mysql.dsn @ONLY)

  # Define "make check" as alias for "make test"
  add_custom_target(check COMMAND ctest)
  add_subdirectory(tests)
endif()

###############################################################################
# build config file
###############################################################################

get_cmake_property(ALL_VARIABLES CACHE_VARIABLES)
set(CONFIGURED_VARIABLES)
foreach(v ${ALL_VARIABLES})
    if (v MATCHES "^SOCI_HAVE.*")
	get_property(CACHE_HELPSTRING CACHE ${v} PROPERTY HELPSTRING)
		set(CONFIGURED_VARIABLES "${CONFIGURED_VARIABLES}\n// ${CACHE_HELPSTRING}\n")
        if (${${v}})
            set(CONFIGURED_VARIABLES "${CONFIGURED_VARIABLES}#define ${v}\n")
        else()
            set(CONFIGURED_VARIABLES "${CONFIGURED_VARIABLES}/* #undef ${v} */\n")
        endif()
    endif()
endforeach()
configure_file("${CONFIG_FILE_IN}" "${CONFIG_FILE_OUT}")

message(STATUS "")

=== cmake/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2009 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

# install the cmake modules
file(GLOB SOCI_CMAKE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.cmake")

=== src/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
include_directories(${SOCI_SOURCE_DIR}/include/private)

add_subdirectory(core)
add_subdirectory(backends)

=== src/core/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2009-2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
colormsg(_HIBLUE_ "Configuring SOCI core library:")

# Set INCLUDE_DIRECTORIES
get_directory_property(SOCI_CORE_INCLUDE_DIRS INCLUDE_DIRECTORIES)
list(APPEND SOCI_CORE_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR})
set_directory_properties(PROPERTIES
  INCLUDE_DIRECTORIES "${SOCI_CORE_INCLUDE_DIRS}")

# Configure backend loader to also use default install directory.
configure_file(soci_backends_config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/soci_backends_config.h)

# Core source files
file(GLOB SOCI_CORE_HEADERS ${SOCI_SOURCE_DIR}/include/soci/*.h)
file(GLOB SOCI_CORE_SOURCES *.cpp)

# Group source files for IDE source explorers (e.g. Visual Studio)
source_group("Header Files" FILES ${SOCI_CORE_HEADERS})
source_group("Source Files" FILES ${SOCI_CORE_SOURCES})
source_group("CMake Files" FILES CMakeLists.txt)

# Core targets configuration
string(TOLOWER "${PROJECT_NAME}" PROJECTNAMEL)
#this command will update parent scope variable
set(SOCI_CORE_TARGET ${PROJECTNAMEL}_core PARENT_SCOPE)
set(SOCI_CORE_TARGET ${PROJECTNAMEL}_core)

soci_target_output_name(${SOCI_CORE_TARGET} SOCI_CORE_TARGET_OUTPUT_NAME)

#
# Core shared library
#
if (SOCI_SHARED)
  add_library(${SOCI_CORE_TARGET} SHARED ${SOCI_CORE_HEADERS} ${SOCI_CORE_SOURCES})

  target_link_libraries(${SOCI_CORE_TARGET} ${SOCI_CORE_DEPS_LIBS})

  if(WIN32)
    set_target_properties(${SOCI_CORE_TARGET}
      PROPERTIES
      DEFINE_SYMBOL SOCI_DLL
      OUTPUT_NAME "${SOCI_CORE_TARGET_OUTPUT_NAME}"
      VERSION ${SOCI_VERSION}
      CLEAN_DIRECT_OUTPUT 1)
  else()
    set_target_properties(${SOCI_CORE_TARGET}
      PROPERTIES
      VERSION ${SOCI_VERSION}
      SOVERSION ${SOCI_SOVERSION}
      INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib
      CLEAN_DIRECT_OUTPUT 1)
  endif()

  target_include_directories(${SOCI_CORE_TARGET}
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../../include>
  )

endif()

# This adds definitions to all build configurations. SOCI_DEBUG_POSTFIX is passed to soci library
add_definitions(-DSOCI_LIB_PREFIX="${CMAKE_SHARED_LIBRARY_PREFIX}soci_"
                -DSOCI_LIB_SUFFIX="${CMAKE_SHARED_LIBRARY_SUFFIX}"
                -DSOCI_DEBUG_POSTFIX="${CMAKE_DEBUG_POSTFIX}")

#
# Core static library
#
if (SOCI_STATIC)
  set(SOCI_CORE_TARGET_STATIC ${SOCI_CORE_TARGET}_static)

  add_library(${SOCI_CORE_TARGET_STATIC} STATIC
    ${SOCI_CORE_HEADERS} ${SOCI_CORE_SOURCES})

  # we still need to link against dl if we have it
  target_link_libraries (${SOCI_CORE_TARGET_STATIC}
    ${SOCI_CORE_DEPS_LIBS}
  )

  set_target_properties(${SOCI_CORE_TARGET_STATIC}
    PROPERTIES
    OUTPUT_NAME ${SOCI_CORE_TARGET_OUTPUT_NAME}
    PREFIX "lib"
    CLEAN_DIRECT_OUTPUT 1)

  target_include_directories(${SOCI_CORE_TARGET_STATIC}
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../../include>
  )

endif()




#
# Core installation
#
install(FILES ${SOCI_CORE_HEADERS} DESTINATION ${INCLUDEDIR}/${PROJECTNAMEL})

if (SOCI_SHARED)
  install(TARGETS ${SOCI_CORE_TARGET}
    EXPORT SOCI
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})
endif()

if (SOCI_STATIC)
  install(TARGETS ${SOCI_CORE_TARGET_STATIC}
    EXPORT SOCI
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})
endif()

install(EXPORT SOCI NAMESPACE SOCI:: DESTINATION cmake)

#
# Core configuration summary
#
boost_report_value(SOCI_CORE_TARGET)
boost_report_value(SOCI_CORE_TARGET_OUTPUT_NAME)
boost_report_value(SOCI_CORE_DEPS_LIBS)
boost_report_value(SOCI_CORE_INCLUDE_DIRS)
boost_report_value(WITH_BOOST)
soci_report_directory_property(COMPILE_DEFINITIONS)

message(STATUS "")

=== tests/postgresql/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010-2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

soci_backend_test(
  BACKEND PostgreSQL
  DEPENDS PostgreSQL
  SOURCE test-postgresql.cpp ${SOCI_TESTS_COMMON}
  CONNSTR "dbname=soci_test")

=== tests/sqlite3/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010-2013 Mateusz Loskot <mateusz@loskot.net>
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

soci_backend_test(
  BACKEND SQLite3
  DEPENDS SQLite3
  SOURCE test-sqlite3.cpp ${SOCI_TESTS_COMMON}
  CONNSTR ":memory:")

=== src/backends/empty/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2010 Mateusz Loskot
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################
soci_backend(Empty
  DESCRIPTION "SOCI backend skeleton for new backends development"
  AUTHORS "Maciej Sobczak, Stephen Hutton"
  MAINTAINERS "Maciej Sobczak")

=== src/backends/firebird/CMakeLists.txt ===
###############################################################################
#
# This file is part of CMake configuration for SOCI library
#
# Copyright (C) 2013 Viacheslav Naydenov
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
###############################################################################

soci_backend(Firebird
  DEPENDS Firebird
  DESCRIPTION "SOCI backend for Firebird"
  AUTHORS "Rafał Bobrowski"
  MAINTAINERS "Viacheslav Naydenov")

=== debian/changelog ===
soci (4.0.1-5) unstable; urgency=medium

  * Add unsigned type hints to sqlite backend. Closes: 984534

 -- William Blough <bblough@debian.org>  Wed, 10 Mar 2021 12:46:31 -0500

soci (4.0.1-4) unstable; urgency=medium

  * Rebuild with C++11 support.  Closes: 983572

 -- William Blough <bblough@debian.org>  Fri, 26 Feb 2021 11:34:53 -0500

soci (4.0.1-3) unstable; urgency=medium

  * Force autopkgtests to use c++98 since SOCI isn't compiled with c++11 support

 -- William Blough <bblough@debian.org>  Mon, 21 Dec 2020 11:33:34 -0500

soci (4.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- William Blough <bblough@debian.org>  Fri, 18 Dec 2020 10:14:47 -0500

soci (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1
  * Remove patches applied upstream
    - fix alignment warnings/errors in firebird backend
    - fix alignment warnings/errors in firebird ODBC
    - fix error message wording

 -- William Blough <bblough@debian.org>  Thu, 17 Dec 2020 10:57:35 -0500

soci (4.0.0-2) experimental; urgency=medium

  * Add patch to ignore cast alignment warnings/errors in firebird backend
  * Add patch from upstream to ignore alignment errors/warnings in ODBC backend
  * Mark libsoci-dev as Multi-Arch: same

 -- William Blough <bblough@debian.org>  Sat, 19 Sep 2020 19:57:37 -0400

soci (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Refresh patches
  * Update watch file to ignore release candidates
  * Update to debhelper compat 12
  * Updated standards version to 4.5.0
    - Change URLs in d/copyright to https
    - Change priority extra to optional
  * Lintian fixes
    - Remove dbgsym-migration from d/rules
    - Remove unused overrides
    - Remove duplicate priority field
    - Fix error message wording
    - Add lintian override for spelling error false positive
    - Add missing sources for minified JS
  * Add simple autopkgtests to verify that programs using soci can be built.
  * Add gbp.conf
  * Update VCS URLs
  * Update maintainer email

 -- William Blough <bblough@debian.org>  Sat, 11 Apr 2020 17:14:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: soci
 Section: libs
 Priority: optional
-Maintainer: William Blough <devel@blough.us>
+Maintainer: William Blough <bblough@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                default-libmysqlclient-dev,
                firebird-dev,
                libboost-date-time-dev,
@@ -11,12 +11,12 @@
                libpq-dev,
                libsqlite3-dev,
                unixodbc-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: http://soci.sourceforge.net/
-VCS-Browser: https://bitbucket.org/bblough/soci/src
-VCS-Git: https://bitbucket.org/bblough/soci.git
+Vcs-Browser: https://salsa.debian.org/bblough/soci
+Vcs-Git: https://salsa.debian.org/bblough/soci.git
 
-Package: libsoci-core3.2
+Package: libsoci-core4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -30,14 +30,14 @@
 
 Package: libsoci-dev
 Section: libdevel
-Priority: extra
 Architecture: any
-Depends: libsoci-core3.2 (= ${binary:Version}),
-         libsoci-firebird3.2 (= ${binary:Version}),
-         libsoci-mysql3.2 (= ${binary:Version}),
-         libsoci-odbc3.2 (= ${binary:Version}),
-         libsoci-postgresql3.2 (= ${binary:Version}),
-         libsoci-sqlite3-3.2 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libsoci-core4.0 (= ${binary:Version}),
+         libsoci-firebird4.0 (= ${binary:Version}),
+         libsoci-mysql4.0 (= ${binary:Version}),
+         libsoci-odbc4.0 (= ${binary:Version}),
+         libsoci-postgresql4.0 (= ${binary:Version}),
+         libsoci-sqlite3-4.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: C++ Database Access Library (devel)
  Database access library for C++ that makes the illusion of
@@ -46,7 +46,7 @@
  .
  This package provides the development headers.
 
-Package: libsoci-mysql3.2
+Package: libsoci-mysql4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,7 +58,7 @@
  .
  This package provides the MySQL backend.
 
-Package: libsoci-sqlite3-3.2
+Package: libsoci-sqlite3-4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
  .
  This package provides the SQLite3 backend.
 
-Package: libsoci-postgresql3.2
+Package: libsoci-postgresql4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -82,7 +82,7 @@
  .
  This package provides the PostgreSQL backend.
 
-Package: libsoci-firebird3.2
+Package: libsoci-firebird4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -94,7 +94,7 @@
  .
  This package provides the Firebird backend.
 
-Package: libsoci-odbc3.2
+Package: libsoci-odbc4.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,-z,now

%:
	dh $@

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DSOCI_EMPTY:BOOLEAN=OFF \
		-DSOCI_CXX11=1

override_dh_auto_test:
	# Run test, but for now, ignore results. (to be fixed later...)
	-dh_auto_test
